
  /slider:
    get:
      summary: Get slider
      description: |
        Get slider
      tags:
        - Slider
      operationId: getSlider
      parameters:
        - name: Accept-Language
          in: header
          description: The language code
          default: en
          type: string
      consumes:
        - application/json
      produces:
        - application/json
      responses:
        '200':
          description: The slider
          schema:
            $ref: '#/definitions/Sliders'
  definitions:
    Slider:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        subTitle:
          type: string
        description:
          type: string
        url:
          type: string
        type:
          type: string
          enum: [PRODUCT, BANNER, SECTION]
        resourceId:
          type: string
        mediaMain:
          $ref: '#definitions/Media'

    Sliders:
      type: array
      items:
        $ref: '#/definitions/Slider'